Bug 1757993 - Review Request: octave-zmat - A data compression toolbox for MATLAB/Octave
Summary: Review Request: octave-zmat - A data compression toolbox for MATLAB/Octave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-10-02 22:18 UTC by Qianqian Fang
Modified: 2019-10-26 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 14:55:27 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Qianqian Fang 2019-10-02 22:18:58 UTC
Spec URL: https://raw.githubusercontent.com/fangq/fedorapkg/master/octave-zmat.spec
SRPM URL: https://kwafoo.coe.neu.edu/~fangq/share/temp/octave-zmat-0.9-1.fc30.src.rpm
Description:

ZMat is a portable mex function to enable zlib/gzip/lzma/lzip/lz4/lz4hc 
based data compression/decompression and base64 encoding/decoding support 
in MATLAB and GNU Octave. It is fast and compact, can process a large 
array within a fraction of a second. Among the 6 supported compression 
methods, lz4 is the fastest for compression/decompression; lzma is the 
slowest but has the highest compression ratio; zlib/gzip have the best 
balance between speed and compression time.

Fedora Account System Username: fangq

Comment 1 Qianqian Fang 2019-10-03 18:33:39 UTC
One question I have is about BuildArch - the code is portable and supports both i386 and x86_64, but if I change 

  ExclusiveArch: x86_64

to 

  BuildArch: i386, x86_64


then rpmlint gives an error: buildarch-instead-of-exclusivearch-tag

is i386 no longer supported?


another question - do I need to explicitly add zlib as as Requires if octave already contains this dependency?

thanks

Comment 2 Ankur Sinha (FranciscoD) 2019-10-07 08:59:53 UTC
(In reply to Qianqian Fang from comment #1)
> One question I have is about BuildArch - the code is portable and supports
> both i386 and x86_64, but if I change 
> 
>   ExclusiveArch: x86_64
> 
> to 
> 
>   BuildArch: i386, x86_64
> 
> 
> then rpmlint gives an error: buildarch-instead-of-exclusivearch-tag
> 
> is i386 no longer supported?

If the code is portable, then you must use `BuildArch: noarch`. It must build on all platforms that Fedora currently supports. You only use ExclusiveArch etc if the software does not support the whole set:
https://fedoraproject.org/wiki/Architectures

And then tracker bugs must be filed to clarify this:
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_architecture_support

> 
> 
> another question - do I need to explicitly add zlib as as Requires if octave
> already contains this dependency?
> 
> thanks

It is better to add it here explicitly---we should not rely on another package pulling it into the transaction.

Comment 3 Qianqian Fang 2019-10-07 18:28:06 UTC
thanks, the spec file is now updated at

https://github.com/fangq/fedorapkg/blob/zmat/octave-zmat.spec
https://github.com/fangq/fedorapkg/commit/1fab7e3dad96803de281e3fc6e601cb38605c995

also included the suggestions from @eclipseo from other threads. builds fine on my machine.

Comment 4 Robert-André Mauchin 2019-10-07 19:03:03 UTC
 - Source1 should be:

Source1:        https://github.com/lloyd/easylzma/archive/0.0.7/easylzma-0.0.7.tar.gz

(no v)

 - Use macros to respect Fedoras build flags

%cmake .
%make_build





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 54 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/octave-
     zmat/review-octave-zmat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: octave-zmat-0.9-1.fc32.x86_64.rpm
          octave-zmat-debuginfo-0.9-1.fc32.x86_64.rpm
          octave-zmat-debugsource-0.9-1.fc32.x86_64.rpm
          octave-zmat-0.9-1.fc32.src.rpm
octave-zmat.x86_64: E: explicit-lib-dependency zlib
octave-zmat.x86_64: W: spelling-error %description -l en_US mex -> Mex, me, ex
octave-zmat.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
octave-zmat.x86_64: W: spelling-error %description -l en_US lzma -> lama
octave-zmat.x86_64: W: spelling-error %description -l en_US lzip -> lip, zip, l zip
octave-zmat.x86_64: E: arch-dependent-file-in-usr-share /usr/share/octave/packages/zmat-0.9/zipmat.mex
octave-zmat.x86_64: W: dangerous-command-in-%preun mv
octave-zmat.src: W: spelling-error %description -l en_US mex -> Mex, me, ex
octave-zmat.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
octave-zmat.src: W: spelling-error %description -l en_US lzma -> lama
octave-zmat.src: W: spelling-error %description -l en_US lzip -> lip, zip, l zip
4 packages and 0 specfiles checked; 2 errors, 9 warnings.

Comment 5 Qianqian Fang 2019-10-07 19:51:30 UTC
thanks, the above mentioned issues are now fixed

https://github.com/fangq/fedorapkg/commit/88ad13ec84685cd1369285ad13e7832bace75b14

Comment 6 Robert-André Mauchin 2019-10-07 21:30:11 UTC
(In reply to Qianqian Fang from comment #5)
> thanks, the above mentioned issues are now fixed
> 
> https://github.com/fangq/fedorapkg/commit/
> 88ad13ec84685cd1369285ad13e7832bace75b14

You forgot %cmake

Comment 7 Qianqian Fang 2019-10-07 22:23:53 UTC
I must have missed it, now added

https://github.com/fangq/fedorapkg/commit/35c1397042882eccdbd69ed0ddd84c9b3b8d3e0c

Comment 8 Robert-André Mauchin 2019-10-07 22:37:57 UTC
LGTM, Ankur Sinha (FranciscoD) assigned himself though, so I will let him finish.

Comment 9 Ankur Sinha (FranciscoD) 2019-10-07 23:54:31 UTC
Still `cmake` instead of `%cmake` here: https://github.com/fangq/fedorapkg/blob/88ad13ec84685cd1369285ad13e7832bace75b14/octave-zmat.spec#L64

Please fix that before you import and build. Thanks very much, Robert---you're doing more of our reviews than we are :)

XXX APPROVED XXX

Comment 10 Qianqian Fang 2019-10-08 00:03:25 UTC
thanks Ankur. 

sorry for the confusion, I moved the spec file to the zmat branch (original url was on the master). The final URL is

https://github.com/fangq/fedorapkg/blob/zmat/octave-zmat.spec

I don't think I can change the bug report, but I will leave this URL here.

Comment 11 Gwyn Ciesla 2019-10-08 14:26:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/octave-zmat

Comment 12 Fedora Update System 2019-10-08 14:53:53 UTC
FEDORA-2019-1d23beb3d7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d23beb3d7

Comment 13 Fedora Update System 2019-10-08 14:54:21 UTC
FEDORA-2019-6602723b8b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6602723b8b

Comment 14 Fedora Update System 2019-10-08 14:54:43 UTC
FEDORA-2019-92ffc4f574 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-92ffc4f574

Comment 15 Fedora Update System 2019-10-09 03:25:24 UTC
octave-zmat-0.9-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-92ffc4f574

Comment 16 Fedora Update System 2019-10-09 17:39:50 UTC
octave-zmat-0.9-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6602723b8b

Comment 17 Fedora Update System 2019-10-09 18:58:04 UTC
octave-zmat-0.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d23beb3d7

Comment 18 Fedora Update System 2019-10-17 23:23:34 UTC
octave-zmat-0.9-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-10-18 00:48:18 UTC
octave-zmat-0.9-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-10-18 16:53:16 UTC
octave-zmat-0.9-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-10-26 17:23:46 UTC
octave-zmat-0.9-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.